Bug 1032330 - Compilation fail when using the some specific optimization flags
Compilation fail when using the some specific optimization flags
Status: CLOSED EOL
Product: Fedora
Classification: Fedora
Component: gcc (Show other bugs)
19
x86_64 Linux
unspecified Severity medium
: ---
: ---
Assigned To: Jakub Jelinek
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-11-19 20:42 EST by alan
Modified: 2015-02-17 14:18 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-02-17 14:18:50 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
preprocessed source code generated by the compiler, original source code can be found in : http://sourceforge.net/p/rsf/code/HEAD/tree/trunk/system/seismic/cbanded.c (359.82 KB, text/x-csrc)
2013-11-19 20:42 EST, alan
no flags Details

  None (edit)
Description alan 2013-11-19 20:42:35 EST
Created attachment 826388 [details]
preprocessed source code generated by the compiler, original source code can be found in : http://sourceforge.net/p/rsf/code/HEAD/tree/trunk/system/seismic/cbanded.c

Description of problem:

Compilation hangs and segfault the compiler with the following message
"
gcc -o build/system/seismic/cbanded.o -c -Ofast -ftree-vectorize -ftree-loop-distribute-patterns  -floop-nest-optimize -fgraphite-identity -fstrict-aliasing -mtune=native -mfpmath=both -msse4 -ftree-loop-im -ftree-loop-distribution -ftree-loop-linear -x c -std=gnu99 -Wall -pedantic -fopenmp -DSF_HAS_FFTW -Ibuild/include build/system/seismic/cbanded.c
build/system/seismic/cbanded.c: In function ‘cbanded_const_define’:
build/system/seismic/cbanded.c:44:6: internal compiler error: Segmentation fault
 void cbanded_const_define (float diag             /* diagonal */, 
      ^
Please submit a full bug report,
with preprocessed source if appropriate.
See <http://bugzilla.redhat.com/bugzilla> for instructions.
Preprocessed source stored into /tmp/cc5Mbwef.out file, please attach this to your bugreport.

Version-Release number of selected component (if applicable):
gcc (GCC) 4.8.2 20131017 (Red Hat 4.8.2-1)

How reproducible:
Always

Steps to Reproduce:
1. Compile code with:
"gcc -o build/system/seismic/cbanded.o -c -Ofast -ftree-vectorize -ftree-loop-distribute-patterns  -floop-nest-optimize -fgraphite-identity -fstrict-aliasing -mtune=native -mfpmath=both -msse4 -ftree-loop-im -ftree-loop-distribution -ftree-loop-linear -x c -std=gnu99 -Wall -pedantic -fopenmp -DSF_HAS_FFTW -Ibuild/include build/system/seismic/cbanded.c"

Actual results:
Compiler Segmentation fault

Expected results:
Compiled code

Additional info:
Take several minutes to the compiler segfaults and the code compiles with -O1 insted of -Ofast.
Comment 1 Jakub Jelinek 2013-12-07 03:55:19 EST
Sounds like isl or graphite bug, just get rid of all the graphite flags and it will compile just fine.  The graphite flags rarely bring any improvements anyway (-fgraphite-identity -floop-nest-optimize -ftree-loop-linear -floop-interchange in your case) and are pretty much unmaintained.
Comment 2 Fedora End Of Life 2015-01-09 15:38:23 EST
This message is a notice that Fedora 19 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 19. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained. Approximately 4 (four) weeks from now this bug will
be closed as EOL if it remains open with a Fedora 'version' of '19'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 19 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2015-02-17 14:18:50 EST
Fedora 19 changed to end-of-life (EOL) status on 2015-01-06. Fedora 19 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this
bug.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.